Đến nội dung


Hình ảnh
- - - - -

Lisp đổi kiểu nét của Layer sang Hidden2 và Line type scale =0.25


  • Please log in to reply
5 replies to this topic

#1 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 05 January 2009 - 07:47 AM

Bác Pro viết júp em cái Lisp đổi kiểu nét của Layer CADViet ( Layer này đã có sẵn) sang Hidden2 và có Line type scale = 0.25 với !!! Em xin chân thành cảm ơn các bác !
  • 0
Hoàng Giang

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 05 January 2009 - 08:29 AM

Bác Pro viết júp em cái Lisp đổi kiểu nét của Layer CADViet ( Layer này đã có sẵn) sang Hidden2 và có Line type scale = 0.25 với !!! Em xin chân thành cảm ơn các bác !

Đây bạn :
(Defun c:chuyen ()
(Command "layer" "m" "CADVIET" "L" "Hidden2" "" "LW" "0.25" "" "")
(Princ)
)
  • 0

#3 tuan_thietkedien

tuan_thietkedien

    biết lệnh mirror

  • Members
  • PipPipPip
  • 153 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 05 January 2009 - 09:02 AM

Bác Pro viết júp em cái Lisp đổi kiểu nét của Layer CADViet ( Layer này đã có sẵn) sang Hidden2 và có Line type scale = 0.25 với !!! Em xin chân thành cảm ơn các bác !


Chào bạn.
Line type scale hình như không đổi trực tiếp được nên mình gửi bạn lisp chuyển bằng cách chọn đối tượng. Mình mới vào nghề thôi, nhờ bác Tue NV chỉ giáo thêm về cái lisp mình mới viết nhe.

(defun c:chuyen ( )
(prompt "\nChon doi tuong: ")
(setq dt (ssget))
(command "chprop" dt "" "la" "cadviet" "s" "0.25" "lt" "hidden2" "")
(princ)
)
  • 0

#4 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 05 January 2009 - 10:01 AM

Chào bạn.
Line type scale hình như không đổi trực tiếp được nên mình gửi bạn lisp chuyển bằng cách chọn đối tượng. Mình mới vào nghề thôi, nhờ bác Tue NV chỉ giáo thêm về cái lisp mình mới viết nhe.

(defun c:chuyen ( )
(prompt "\nChon doi tuong: ")
(setq dt (ssget))
(command "chprop" dt "" "la" "cadviet" "s" "0.25" "lt" "hidden2" "")
(princ)
)

Lisp của bác Tuệ chỉ đổi được kiểu nét sang Hidden2 thôi, chưa đổi được line type scale thành 0.25. Bác sửa lại giúp e với !
  • 0
Hoàng Giang

#5 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 05 January 2009 - 03:16 PM

Lisp của bác Tuệ chỉ đổi được kiểu nét sang Hidden2 thôi, chưa đổi được line type scale thành 0.25. Bác sửa lại giúp e với !

Line type scale hình như không đổi trực tiếp được nên mình gửi bạn lisp chuyển bằng cách chọn đối tượng.


Tổng hợp 2 LISP của Tue_NV và tuan_thietkedien
(defun c:chuyen (/ dt )  
(if (tblsearch "layer" "CADVIET")
(progn
(setq curLay (getvar "clayer"))
(Command "layer" "m" "CADVIET" "L" "Hidden2" "" "")
;(prompt "\nChon doi tuong: ")
(if (setq dt (ssget "X" (list (cons 8 "CADVIET"))))
(command "chprop" dt "" "s" "0.25" "")
(alert "Khong co doi tuong tren layer CADVIET !")
)
(setvar "clayer" curLay)
)
(alert "Chua co Layer : CADVIET !")
)
(princ)
)

  • 1

#6 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 05 January 2009 - 07:16 PM

Tổng hợp 2 LISP của Tue_NV và tuan_thietkedien

(defun c:chuyen (/ dt )  
(if (tblsearch "layer" "CADVIET")
(progn
(setq curLay (getvar "clayer"))
(Command "layer" "m" "CADVIET" "L" "Hidden2" "" "")
;(prompt "\nChon doi tuong: ")
(if (setq dt (ssget "X" (list (cons 8 "CADVIET"))))
(command "chprop" dt "" "s" "0.25" "")
(alert "Khong co doi tuong tren layer CADVIET !")
)
(setvar "clayer" curLay)
)
(alert "Chua co Layer : CADVIET !")
)
(princ)
)

Ok ! Cảm ơn bác Gia_Bach đã giải bài toán giúp em !
  • 0
Hoàng Giang